﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.MaAdmission>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    <link href="@Url.Content("Content/DT_bootstrap.css")" rel="stylesheet" type="text/css" />



    <script src="~/Content/datatable/jquery.dataTables.min.js"></script>
    <link href="~/Content/datatable/jquery.dataTables.css" rel="stylesheet" />

    <style type="text/css">
        div.box div.overlay {
            display: none;
        }
    </style>
    <script type="text/javascript">
        $("#FromDate").datepicker();
        $("#Todate").datepicker();

        $("#btnShowReport").click(function () {
            var dt1 = $("#FromDate").val();
            var dt2 = $("#Todate").val();
            var format = $("#format").val();

            var a = document.createElement('a');

            a.href = '/MaAdmission/LeftStudentPrint?dt1=' + dt1 + '&dt2=' + dt2 + '&format=' + format;
            a.target = '_blank';
            document.body.appendChild(a);
            a.click();
        });



        function SearchLeft() {
            var Fromdate = $("#FromDate").val();
            var Todate = $("#Todate").val();
            var Rollno = $("#txtrollno").val();
            var Name = $("#txtname").val();

            window.location.href = "/MaAdmission/SearchLeftStudent?fromdate=" + Fromdate + "&&Todate=" + Todate + "&&RollNo=" + Rollno + "&&Name=" + Name;
        }
    </script>

    <script type="text/javascript">



        $(document).ready(function () {




            var lastIdx = null;
            var table = $('#example').DataTable();

            //$('#example tbody')
            //    .on('mouseover', 'td', function () {
            //        var colIdx = table.cell(this).index().column;

            //        if (colIdx !== lastIdx) {
            //            $(table.cells().nodes()).removeClass('highlight');
            //            $(table.column(colIdx).nodes()).addClass('highlight');
            //        }
            //    })
            //    .on('mouseleave', function () {
            //        $(table.cells().nodes()).removeClass('highlight');
            //    });
        });
    </script>
    <script type="text/javascript">
        $(function () {
            $(".box").hover(function () {
                $(this).find(".overlay").fadeIn();
            }
                            , function () {
                                $(this).find(".overlay").fadeOut();
                            }
                           );
        });

    </script>
    <script type="text/javascript">
        $(document).ready(function () {
            $("#totalcount").text($("#hiddencount").val());
            $("#enqstatus").val($("#hiddenenqst").val());

            $("#UserList").val($("#hdnuser").val());



            $("#dateofwnquiry").datepicker();
            $("#tdate").datepicker();
            //            $("button").hide();
            $("#UserList").css('width', '150px');
            $("#enqstatus").css('width', '112px');


            $("#enqstatus").css('width', '80px');
            $("#enquiryabt").css('width', '150px');


            $("#enquiryabt").val($("#hiddenqabut").val());

            $("#enqstatus").val($("#hiddenenqst").val());

            $(":text").keypress(function (event) {
                //filter enter key only
                if (event.keyCode == 13) {
                    searchfun();
                }
                return true;
            });



        });

    </script>
    <script>
        deleterecord("MaEnquiry");

        $("#Searchbtn").click(function () {
            searchfun();

        });

        function searchfun() {
            var name = $("#txtname").val();
            var mobile = $("#txtmobile").val();
            var date = $("#dateofwnquiry").val();
            var todate = $("#tdate").val();
            var usr = $("#UserList").val();
            var enqstatus = $("#enqstatus").val();
            var enquiryabout = $("#enquiryabt").val();
            var enqno = $("#txtenqName").val();

            window.location.href = "/MaEnquiry/Searchforenquiry?name=" + name + "&&enqno=" + enqno + "&&mobile=" + mobile + "&&date=" + date + "&&tdate=" + todate + "&&usr=" + usr + "&&enqstatus=" + enqstatus + "&&enquiryabout=" + enquiryabout;

            $("#UserList").val(usr);

        }
    </script>
    <script type="text/javascript">

        var request;
        function LoadData() {


            // Abort any currently executing request
            if (request) {
                request.abort();
            }

            $('#lazyloading').html('<img id="imgload" src="../../Content/themes/base/images/load.gif" />');
            var rows = $(".table").find('input[type=hidden]').last().val();
            var lastno = $(".table").find('input[type=hidden]').last().attr('class');
            var serviceurl = "/MaEnquiry/LoadData";
            request = $.get(serviceurl, { id: rows }, function (data) {
                if (data != '') {
                    $(".table").children("tbody:last").append(data);
                }
                $('#lazyloading').empty();
            });


        };
        var scrollonce = false;
    </script>
    <script type="text/javascript">
        $("#pagng").css('width', '80px');
        $("#txtpageno").css('width', '100px');
        $(function () {
            $(".table").tablesorter({ widthFixed: true })
               .tablesorterPager({ container: $("#pager"), size: $(".pagesize option:selected").val() });
        });
    </script>
}
@{
    SSCMvc.Models.SSCWebDBEntities1 db = new SSCMvc.Models.SSCWebDBEntities1();

}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Left Students
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
    string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>

<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">


            </div>
        </div>
        <p class="datail_style">

            <table width="100%" align="center">
                <tr>
                    <td>
                        Roll No <br />
                        <input type="text" name="txtrollno" id="txtrollno" value=" " style="width:70px;"/>
                    </td>
                    <td>
                        Name <br />
                        <input type="text" name="txtname" id="txtname" style="width:120px;" value=" " />
                    </td>
                    <td>
                        From Date <br />
                        <input type="text" name="FromDate" id="FromDate" value="@ViewBag.fdate" />

                    </td>
                    <td>
                        To Date <br />
                        <input type="text" name="Todate" id="Todate" value="@ViewBag.tdate" />
                    </td>
                    <td>
                        <br />
                        <select id="format" style="width:105px;">
                            <option value="PDF">PDF</option>
                            <option value="Excel">Excel</option>
                        </select>
                    </td>
                    <td>
                        <br />
                        <input type="button" name="btnsearch" class="btn btn-primary" onclick="SearchLeft();" value="Search" />
                        <input type="button" value="Get Report" class="btn btn-primary" id="btnShowReport" />
                    </td>

                </tr>
            </table>




            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%"></td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well" id="leftstudent">
            <table id="example" class="row-border hover order-column" cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th align="left">
                            Roll No
                        </th>
                        <th align="left">
                            @Html.DisplayNameFor(model => model.FirstName)
                        </th>
                        <th align="left">
                            @Html.DisplayNameFor(model => model.LastName)
                        </th>
                        <th align="left">
                            Joining Date
                        </th>
                        <th align="left">
                            Left Date
                        </th>
                        <th align="left">
                            Exam Date
                        </th>
                        <th align="left">
                            @Html.DisplayNameFor(model => model.Gender)
                        </th>
                        <th align="left">
                            Counselor Name
                        </th>
                        <th>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @{int i = 0;
                    string bgcolor = "oddrow";
                    }
                    @foreach (var item in Model)
                    {
                        if (i % 2 == 0)
                        {
                            bgcolor = "evenrow";
                        }
                        else
                        {
                            bgcolor = "oddrow";
                        }
                        i++;
                        <tr class="@bgcolor">
                            <td align="left">
                                @Html.DisplayFor(modelItem => item.RollNo)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.FirstName)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.LastName)
                            </td>
                            <td>
                                @{
                        string cdate = String.Format("{0:dd MMM,yyyy}", item.Cdate);
                                }
                                @cdate
                            </td>
                            <td>
                                @{
                        string lastupdate = String.Format("{0:dd MMM,yyyy}", item.LeftDate);
                                }
                                @lastupdate
                            </td>
                            <td>
                                @{ 
                                    DateTime? exdat = new DateTime();
                                    string examdate = "";
                                    try
                                    {
                                        exdat = db.Tb_IELTSResult.Where(x => x.StudentId == item.Id && x.TestDate != null).OrderByDescending(x => x.Id).Select(x => x.TestDate).FirstOrDefault();
                                         examdate = String.Format("{0:dd MMM,yyyy}", exdat);
                                    }
                                    catch (Exception ex)
                                    {
                                    }
                                    @examdate
                                }
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Gender)
                            </td>
                            <td>
                                @{
                        SSCWebDBEntities1 db1 = new SSCWebDBEntities1();
                        string counselorname = db1.Users.Where(x => x.Id == item.CounselorName).Select(x => x.Fullname).FirstOrDefault();
                                }
                                @counselorname
                            </td>
                            <td>
                                @Html.ImageActionLink("../../Content/themes/base/images/history.png", "Demo History", "_Index1", "MaAdmission", new { id = item.Id }, new { @class = "editAcBtn" }, null)
                            </td>
                        </tr>
                    }

                </tbody>
            </table>







            <!-- Lazy loading table starts here -->
            <table>
                <tr>
                    <td>
                        <div id="lazyloading" style="text-align: center; position: relative; margin-top: -30px;">
                        </div>
                    </td>
                </tr>
            </table>
            <!-- Lazy loading table ends here -->

        </div>


        <table width="100%" align="center">
            <tr>
                <td align="left" width="50%">
                    @Html.Partial("_Pager")
                </td>
            </tr>
        </table>
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>
        <div id="editDialog" title="Add Enquiry Follow Up" style="width: 556px">
        </div>
    </div>
</div>
